Lhasa

- Main Page
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
LHAInputStreamType Struct Reference

Structure containing pointers to callback functions to read data from the input stream. More...

## Data Fields
int(* | read )(void *handle, void *buf, size_t buf_len)
| Read a block of data into the specified buffer.
int(* | skip )(void *handle, size_t bytes)
| Skip the specified number of bytes from the input stream.
void(* | close )(void *handle)
| Close the input stream.

## Detailed Description

Structure containing pointers to callback functions to read data from the input stream.

## Field Documentation

void(* LHAInputStreamType::close)(void *handle)

Close the input stream.

Parameters

  handle | Handle pointer.

int(* LHAInputStreamType::read)(void *handle, void *buf, size_t buf_len)

Read a block of data into the specified buffer.

Parameters

  handle | Handle pointer.
  buf | Pointer to buffer in which to store read data.
  buf_len | Size of buffer, in bytes.

Returns
  Number of bytes read, or -1 for error.

int(* LHAInputStreamType::skip)(void *handle, size_t bytes)

Skip the specified number of bytes from the input stream.

This is an optional function.

Parameters

  handle | Handle pointer.
  bytes | Number of bytes to skip.

Returns
  Non-zero for success, or zero for failure.

The documentation for this struct was generated from the following file:

- lha_input_stream.h